include 'MACROS.INC'

MEOS_APP_START
CODE
	mov	word[vminior], 0
	mov	dx, 0x5300	; Check APM version
	xor	ebx, ebx
	mov	eax, 49
	int	0x40
	jnc	@f
	mov	word[vminior], ax
@@:	
	mov	dx, 0x5308	; ENABLE POWER MANAGEMENT
	mov	bx, 1		; v 1.1
	mov	cx, bx
	mov	eax, 49
	int	0x40

	mov	dx, 0x530E	; DRIVER VERSION
	xor	bx, bx
	mov	cx, 0x0102	; v 1.2
	mov	eax, 49
	int	0x40

	mov	dx, 0x530D	; ENABLE DEVICE POWER MANAGEMENT
	mov	bx, 1		; all
	mov	cx, bx		; enable
	mov	eax, 49
	int	0x40

	mov	dx, 0x530F	; ENGAGE POWER MANAGEMENT
	mov	bx, 1
	mov	cx, bx
	mov	eax, 49
	int	0x40

	mov	dx, 0x5307	; TURN OFF
	mov	cx, 0x3
	mov	bx, 0x1ff	; all attached display devices
	mov	eax, 49
	int	0x40

	mov	eax, 5		; Sleep
	mov	ebx, 1000
	int	0x40

	mov	dx, 0x5307	; TURN ON
	mov	cx, 0x0		; ready
	mov	bx, 0x1ff	; all attached display devices
	mov	eax, 49
	int	0x40

	mov	eax, -1		; close this program
	int	0x40
;---------------------------------------------------------------------
DATA
UDATA
vminior:	db	0
vmajor:		db	0
MEOS_APP_END